<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <form>
        <label> Ingrese nombre Auto:</label>
        <input type="text"  id="nombre" name="nombre"> 
        <button type="button" id="agregar" name="agregar">Agregar</button>    
        <button type="button" id="primero" name="primero">Eliminar Primero</button> 
        <button type="button" id="ultimo" name="ultimo"> Eliminar Ultimo</button>
    </form>
    <br>
    <div id="resultados"></div>
    <script>
    let autos = [];
    const btnAgregar = document.getElementById("agregar");
    btnAgregar.addEventListener("click", function () {
        let Nombre = document.getElementById("nombre").value;
        autos.push(Nombre);
        muestra();
    });
    const btnPrimero = document.getElementById("primero");
    btnPrimero.addEventListener("click", function () {
        autos.shift();
        muestra();
    });
    const btnUltimo = document.getElementById("ultimo");
    btnUltimo.addEventListener("click", function () {
        autos.pop();
        muestra();
    });
    function muestra(){
    document.getElementById('resultados').innerHTML = `Los Autos son ${autos}`;
    console.log(autos);
    } 
    </script>
</body>
</html>